Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class MethodHelper

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MethodHelper

    public class MethodHelper

extends Object

Some reflection helper methods

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`MethodHelper()`

Method Summary
`static boolean` | `isPublic(Method method)`
`static boolean` | `isStatic(Method method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodHelper

    public MethodHelper()

Method Detail

### isStatic

    public static boolean isStatic(Method method)

### isPublic

    public static boolean isPublic(Method method)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD